Inhalte

# Anweisung Select…Case

Definiert einen oder mehrere Befehlsblöcke, die in Abhängigkeit von dem Ergebnis eines bestimmten Ausdrucks stehen.

### Syntax:

      Select Case expression
         Case values
           Aweisungsblock
      [  Case values2
           Anweisungsblock]
      [  Case Else
           Anweisungsblock]
      End Select

### Parameter:

expression: Ein Ausdruck, der steuert, ob der Anweisungsblock ausgeführt wird, welcher der entsprechenden Klausel Case folgt.

values: Eine Werteliste, die mit dem Ausdruck kompatibel ist. Der Anweisungsblock, welcher der Klausel Case folgt, wird ausgeführt, wenn expression mit values übereinstimmt.

### Beispiel:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                Print "Zahl von 1 bis 5"
            Case 6, 7, 8
                Print "Zahl von 6,7 oder 8"
            Case 8 To 10
                Print "Größer als 8"
            Case Else
                Print "Außerhalb von 1 bis 10"
        End Select
    End Sub

Verwandte Themen

Funktion Choose

Funktion "Switch"

Anweisung If

Funktionen IIf oder Switch

Bitte unterstützen Sie uns!